import axios from '@/libs/axios.js'

// 全部待清运网点列表
export const waitToCleanList = params => {
	let url = `cleanStation/waitToCleanList/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		method: 'post',
		data: params
	})
}

// 网点设备列表信息
export const stationDevice = params => {
  return axios.request({
    url: `device/findById/${params.stationNo}`,
    method: 'get',
  })
}

//  网点信息
export const getWaitToCleanDetailHeader = params => {
  return axios.request({
    url: `station/findById/${params.stationNo}`,
    method: 'get',
  })
}

// 已清运列表
export const getAlreadyCleanList = params => {
	let url = `cleanLog/getAlreadyCleanList/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		method: 'post',
		data: params
	})
}

// 已清运网点设备列表信息
export const getAlreadyCleanDetails = params => {
	let url = `cleanLog/getAlreadyCleanDetails/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		method: 'post',
		data: params
	})
}
