import axios from '@/libs/axios.js'

// 个人待清运列表
export const getSelfCleanTaskList = params => {
	let url = `cleanStation/getSelfCleanTaskList/${params.pageNo}/${params.pageSize}`
	delete params.pageNo
	delete params.pageSize
	return axios.request({
		url: url,
		method: 'post',
		data: params
	})
}

// 个人待清运列表详情
export const getSelfCleanTaskDetails = params => {
  return axios.request({
    url: `cleanDevice/getSelfCleanTaskDetails`,
    method: 'post',
	data: params
  })
}

// 新增个人待清运
export const cleanStationAdd = params => {
  return axios.request({
    url: `cleanStation/addCleanTask`,
    method: 'post',
	data: params
  })
}

// 移除个人待清运
export const cleanStationRemove = params => {
  return axios.request({
    url: `cleanStation/removeCleanTask/${params.stationNo}`,
    method: 'post',
	data: params
  })
}

// 扫码清运
export const cleanDevice = params => {
  return axios.request({
    url: `cleanDevice/clean`,
    method: 'post',
	data: params
  })
}

// 清运路线
export const getCleanWay = params => {
  return axios.request({
    url: `cleanStation/getCleanWay`,
    method: 'post',
	data: params
  })
}

//  扫码获取网点信息
export const getDeviceMsg = params => {
  return axios.request({
    url: `cleanDevice/getDeviceMsg`,
    method: 'post',
	data: params
  })
}